#
# Conditional build:
%bcond_without	gtk4	# Gtk4 version of editor plugin (GNOME 42+)

Summary:	NetworkManager VPN integration for PPTP
Summary(pl.UTF-8):	Integracja NetworkManagera z protokołem PPTP
Name:		NetworkManager-pptp
Version:	1.2.12
Release:	4
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/NetworkManager-pptp/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	cde35b1d92b2a1f49118a59547be3e60
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	NetworkManager-devel >= 2:1.2.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.2.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.19
BuildRequires:	glib2-devel >= 1:2.34
BuildRequires:	gtk+3-devel >= 3.4
%{?with_gtk4:BuildRequires:	gtk4-devel >= 4.0}
%{?with_gtk4:BuildRequires:	libnma-gtk4-devel >= 1.8.33}
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	ppp-plugin-devel >= 3:2.4.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	NetworkManager >= 2:1.0.0
Requires:	NetworkManager-gtk-lib >= 1.0.6
Requires:	glib2 >= 1:2.34
Requires:	gtk+3 >= 3.4
Requires:	libsecret >= 0.18
%requires_eq	ppp
Requires:	pptp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for PPTP.

%description -l pl.UTF-8
Integracja NetworkManagera z protokołem PPTP.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk4:--with-gtk4} \
	--with-pppd-plugin-dir=%{_libdir}/pppd/plugins
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pppd/plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-pptp.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-pptp-editor.so
%if %{with gtk4}
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-pptp-editor.so
%endif
%attr(755,root,root) %{_libdir}/pppd/plugins/nm-pptp-pppd-plugin.so
%attr(755,root,root) %{_libexecdir}/nm-pptp-auth-dialog
%attr(755,root,root) %{_libexecdir}/nm-pptp-service
%{_prefix}/lib/NetworkManager/VPN/nm-pptp-service.name
%{_datadir}/dbus-1/system.d/nm-pptp-service.conf
%{_datadir}/metainfo/network-manager-pptp.metainfo.xml
%changelog
* Sat Feb 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-pptp.git;a=log;h=master

* Sat Feb 01 2025 Jan Rękorajski <baggins@pld-linux.org> 7ad1a4a
- Release 4 (by relup.sh)

* Sun Sep 22 2024 Jakub Bogusz <qboosh@pld-linux.org> 76a336e
- release 3 (ppp 2.5.1)

* Sat Sep 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 9764be8
- release 2 (ppp 2.5.0, the code is already compatible)

* Thu Mar 23 2023 Jakub Bogusz <qboosh@pld-linux.org> f2028a8
- updated to 1.2.12, added gtk4 editor plugin

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 6277595
- updated to 1.2.10

* Mon Feb 22 2021 Jan Rękorajski <baggins@pld-linux.org> ab9bd4c
- release 4 (by relup.sh)

* Sat Apr 18 2020 Jan Rękorajski <baggins@pld-linux.org> 211f337
- rebuild for ppp 2.4.8
- release 3 (by relup.sh)

* Mon Aug 12 2019 Jan Palus <atler@pld-linux.org> 5e8adff
- build without libnm-glib compatibility; rel 2

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> be7f0d0
- updated to 1.2.8

* Sat Mar 31 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 4cf7fe7
- Update to 1.2.6

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1a042ac
- Update to 1.2.4

* Tue Jun 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 0feea86
- Fix path to configuration file. Release 2

* Sat Jun 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d447567
- Update to 1.2.2

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 681399f
- updated to 1.0.8

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 96802b3
- updated URL

* Sun Aug 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 22b957a
- updated to 1.0.6

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> c066451
- updated to 1.0.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6a9cf97
- updated gettext BR

* Sun Dec 21 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 3872c46
- Update to 1.0.0

* Mon Aug 11 2014 Elan Ruusamäe <glen@delfi.ee> 7077299
- ppp rebuild
- release 2 (by relup.sh)

